<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides OSB SSL task capabilities.
 *
 * @package    OSB
 * @subpackage SSL
 * @category   Controllers/Task
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Task_SSL extends Controller_Task {
	/**
	 * Renew a certificate
	 */
	public function action_renew() {
		// @todo, Change this to be a SSL id, maybe list all the certs expiring
		$id = $this->request->param('id');
		$so = ORM::factory('service',$id);

		$so->plugin()->renew();
	}
}
?>
